package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.req.homepage.AddIdolReq;
import com.tanpu.community.manager.HomePageManager;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@Slf4j
@RequestMapping(value = "/api/homepage")

public class HomePageController {

    @Autowired
    private HomePageManager homePageManager;

    @PostMapping(value = "/queryMyFans")
    @ApiOperation("查询自己的粉丝")
    @ResponseBody
    public CommonResp queryMyFans() {
        String userId = "123";
        return CommonResp.success(homePageManager.queryFansByIdolId(userId));
    }

    @PostMapping(value = "/queryUserFans")
    @ApiOperation("查询他人的粉丝")
    @ResponseBody
    public CommonResp queryFans(@RequestParam String userId) {
        return CommonResp.success(homePageManager.queryFansByIdolId(userId));
    }

    @PostMapping(value = "/queryMyIdols")
    @ApiOperation("查询自己的关注")
    @ResponseBody
    public CommonResp queryMyIdols() {
        String userId = "123";
        return CommonResp.success(homePageManager.queryIdolsByFollowerId(userId));
    }


    @PostMapping(value = "/queryUserIdols")
    @ApiOperation("查询他人的关注")
    @ResponseBody
    public CommonResp queryIdols(@RequestParam String userId) {
        return CommonResp.success(homePageManager.queryIdolsByFollowerId(userId));
    }

    @PostMapping(value = "/addIdol")
    @ApiOperation("关注他人")
    @ResponseBody
    public CommonResp addIdol(@RequestBody AddIdolReq req) {
        String userId = "123";
        homePageManager.addIdol(req.idolId, userId);
        return CommonResp.success();
    }

    @PostMapping(value = "/query/likeTheme")
    @ApiOperation("我的点赞")
    @ResponseBody
    public CommonResp likeList(){
        String userId="123";
        return CommonResp.success();
    }

}
